FaceSign
Reference

SDKs

Official SDKs and client libraries for integrating FaceSign step-up verification into your applications.

The recommended way to interact with the FaceSign API is by using our official SDKs. Choose from multiple programming languages to integrate FaceSign step-up verification into your applications.

Quick Start Guides

Get up and running quickly with our comprehensive installation guides:

Available SDKs

Node.js / TypeScript

The official FaceSign Node.js SDK for server-side integration.

Installation
npm install @facesignai/api
Usage
import Client from '@facesignai/api'
import { FSNodeType } from '@facesignai/api'

const client = new Client({
  auth: process.env.FACESIGN_API_KEY,
})

const { session, clientSecret } = await client.session.create({
  clientReferenceId: 'user-123',
  flow: [
    { id: 'start', type: FSNodeType.START, outcome: 'end' },
    { id: 'end', type: FSNodeType.END }
  ]
})

Python

The official FaceSign Python SDK.

Installation
pip install facesignai
Usage
import facesignai

client = facesignai.Client(
    auth='sk_test_...',
)

response = client.session.create(
    client_reference_id='user-123',
    flow=[
        {'id': 'start', 'type': 'start', 'outcome': 'end'},
        {'id': 'end', 'type': 'end'}
    ]
)

Go

The official FaceSign Go SDK.

Installation
go get github.com/facesignai/facesign-go
Usage
client := facesign.NewClient(os.Getenv("FACESIGN_API_KEY"))
session, err := client.Sessions.Create(ctx, facesign.CreateSessionRequest{
  ClientReferenceId: "user-123",
  Flow: []facesign.FlowNode{
    {ID: "start", Type: "start", Outcome: "end"},
    {ID: "end", Type: "end"},
  },
})

cURL / REST API

You can also use the FaceSign API directly via HTTP requests:

Direct API usage
curl -X POST https://api.facesign.ai/sessions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "clientReferenceId": "user-123",
    "flow": [
      {"id": "start", "type": "start", "outcome": "end"},
      {"id": "end", "type": "end"}
    ]
  }'

Next steps

On this page